## gate.gui
Class AccessRightsDialog

    java.lang.Object
      |
      +--gate.gui.AccessRightsDialog

public class AccessRightsDialog
extends Object

Field Summary
`protected static JRadioButton` `gr_gw`
`protected static JRadioButton` `gr_ow`
`protected static ButtonGroup` `group`
`protected static JRadioButton` `or_ow`
`protected static JRadioButton` `wr_gw`

Constructor Summary
`AccessRightsDialog()`

Method Summary
`static int` `getSelectedMode()`
`static boolean` `showDialog(Component parentComponent)`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### gr_gw

    protected static JRadioButton gr_gw

### gr_ow

    protected static JRadioButton gr_ow

### or_ow

    protected static JRadioButton or_ow

### wr_gw

    protected static JRadioButton wr_gw

### group

    protected static ButtonGroup group

Constructor Detail

### AccessRightsDialog

    public AccessRightsDialog()

Method Detail

### showDialog

    public static boolean showDialog(Component parentComponent)

### getSelectedMode

    public static int getSelectedMode()